Change an incident's status or severity.
curl --request PATCH \
--url https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/resolve/incidents/{incident_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'If-Match: <if-match>' \
--data '{}'import requests
url = "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/resolve/incidents/{incident_id}"
payload = {}
headers = {
"If-Match": "<if-match>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'If-Match': '<if-match>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/resolve/incidents/{incident_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/resolve/incidents/{incident_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"If-Match: <if-match>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/resolve/incidents/{incident_id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("If-Match", "<if-match>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/resolve/incidents/{incident_id}")
.header("If-Match", "<if-match>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/resolve/incidents/{incident_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["If-Match"] = '<if-match>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"severity": "critical",
"status": "OPEN",
"queue": {
"bucket": "ai_handling",
"reason": "no_action_needed",
"since_at": "2023-11-07T05:31:56Z"
},
"investigation_phase": "quiet",
"triage_assessment": "pending",
"triage_reason": "<string>",
"response_level": "page_responders",
"declaration_mode": "active_response",
"declared_at": "2023-11-07T05:31:56Z",
"source": "webhook",
"platform_type": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"incident_room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_incident_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"child_count": 123,
"affected_services": [
{
"name": "<string>",
"external_id": "<string>"
}
],
"correlated_alert_count": 123,
"first_alert_at": "2023-11-07T05:31:56Z",
"last_alert_at": "2023-11-07T05:31:56Z",
"occurred_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}resolve
Change an incident's status or severity
Send If-Match with the ETag from resolve.incidents.get.
PATCH
/
v1
/
workspaces
/
{workspace_id}
/
resolve
/
incidents
/
{incident_id}
Change an incident's status or severity.
curl --request PATCH \
--url https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/resolve/incidents/{incident_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'If-Match: <if-match>' \
--data '{}'import requests
url = "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/resolve/incidents/{incident_id}"
payload = {}
headers = {
"If-Match": "<if-match>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'If-Match': '<if-match>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/resolve/incidents/{incident_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/resolve/incidents/{incident_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"If-Match: <if-match>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/resolve/incidents/{incident_id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("If-Match", "<if-match>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/resolve/incidents/{incident_id}")
.header("If-Match", "<if-match>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/resolve/incidents/{incident_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["If-Match"] = '<if-match>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"severity": "critical",
"status": "OPEN",
"queue": {
"bucket": "ai_handling",
"reason": "no_action_needed",
"since_at": "2023-11-07T05:31:56Z"
},
"investigation_phase": "quiet",
"triage_assessment": "pending",
"triage_reason": "<string>",
"response_level": "page_responders",
"declaration_mode": "active_response",
"declared_at": "2023-11-07T05:31:56Z",
"source": "webhook",
"platform_type": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"incident_room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_incident_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"child_count": 123,
"affected_services": [
{
"name": "<string>",
"external_id": "<string>"
}
],
"correlated_alert_count": 123,
"first_alert_at": "2023-11-07T05:31:56Z",
"last_alert_at": "2023-11-07T05:31:56Z",
"occurred_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}Scope:
resolve:incidents:write. See API Tokens.Authorizations
Headers
Path Parameters
Body
application/json
Response
OK
One incident. GET returns an ETag; send it as If-Match on update.
Was this page helpful?